net.sourceforge.pmd.ant

## Class Formatter

- java.lang.Object
- - net.sourceforge.pmd.ant.Formatter

    public class Formatter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Formatter()`

### Method Summary

Methods
`void` `addConfiguredParam(org.apache.tools.ant.types.Parameter parameter)`
`void` `end(Report errorReport)`
`Renderer` `getRenderer()`
`boolean` `isNoOutputSupplied()`
`void` `setShowSuppressed(boolean value)`
`void` `setToConsole(boolean toConsole)`
`void` `setToFile(File toFile)`
`void` `setType(String type)`
`void` `start(String baseDir)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Formatter

    public Formatter()

### Method Detail

#### setShowSuppressed

    public void setShowSuppressed(boolean value)

#### setType

    public void setType(String type)

#### setToFile

    public void setToFile(File toFile)

#### setToConsole

    public void setToConsole(boolean toConsole)

#### addConfiguredParam

    public void addConfiguredParam(org.apache.tools.ant.types.Parameter parameter)

#### getRenderer

    public Renderer getRenderer()

#### start

    public void start(String baseDir)

#### end

    public void end(Report errorReport)

#### isNoOutputSupplied

    public boolean isNoOutputSupplied()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`